CVE-2002-0902
CVSS7.5
发布时间 :2002-10-04 00:00:00
修订时间 :2008-09-05 16:29:15
NMCOES    

[原文]Cross-site scripting vulnerability in phpBB 2.0.0 (phpBB2) allows remote attackers to execute Javascript as other phpBB users by including a http:// and a double-quote (") in the [IMG] tag, which bypasses phpBB's security check, terminates the src parameter of the resulting HTML IMG tag, and injects the script.


[CNNVD]PHPBB2图象标记可插入HTML代码漏洞(CNNVD-200210-126)

        
        PHPBB2是一款由PHP编写的Web论坛程序,可使用在Unix和Linux操作系统下,也可使用在Microsoft Windows操作系统下。
        PHPBB2在处理图象标记中的数据缺少正确充分的检查,可导致远程攻击者进行HTML代码插入攻击。
        PHPBB2可以使用[img][/img]代替HTML代码支持图象操作,但是PHPBB2对用户提交给[img][/img]标记的数据缺少正确检查和过滤,由于BBCode在转译'"'符号时表示HTML标记的结束,攻击者可以在图象标记中插入'"'号并在'"'号后插入任意HTML代码或JavaScript代码后发表在论坛中,当论坛用户浏览此包含恶意代码的链接时,就可以使脚本代码在浏览用户浏览器上执行,攻击者获得用户基于Cookie认证的敏感信息。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:phpbb_group:phpbb:2.0.0
cpe:/a:phpbb_group:phpbb:2.0_rc4
cpe:/a:phpbb_group:phpbb:2.0_beta1
cpe:/a:phpbb_group:phpbb:2.0_rc3
cpe:/a:phpbb_group:phpbb:2.0_rc1
cpe:/a:phpbb_group:phpbb:2.0_rc2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0902
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0902
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200210-126
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/4858
(VENDOR_ADVISORY)  BID  4858
http://www.iss.net/security_center/static/9178.php
(VENDOR_ADVISORY)  XF  phpbb-bbcode-image-css(9178)
http://online.securityfocus.com/archive/1/274273
(UNKNOWN)  BUGTRAQ  20020526 Cross Site Scripting Vulnerability in phpBB2's [IMG] tag and remote avatar

- 漏洞信息

PHPBB2图象标记可插入HTML代码漏洞
高危 输入验证
2002-10-04 00:00:00 2005-10-20 00:00:00
远程  
        
        PHPBB2是一款由PHP编写的Web论坛程序,可使用在Unix和Linux操作系统下,也可使用在Microsoft Windows操作系统下。
        PHPBB2在处理图象标记中的数据缺少正确充分的检查,可导致远程攻击者进行HTML代码插入攻击。
        PHPBB2可以使用[img][/img]代替HTML代码支持图象操作,但是PHPBB2对用户提交给[img][/img]标记的数据缺少正确检查和过滤,由于BBCode在转译'"'符号时表示HTML标记的结束,攻击者可以在图象标记中插入'"'号并在'"'号后插入任意HTML代码或JavaScript代码后发表在论坛中,当论坛用户浏览此包含恶意代码的链接时,就可以使脚本代码在浏览用户浏览器上执行,攻击者获得用户基于Cookie认证的敏感信息。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 设置浏览器,关闭JavaScript功能。
        厂商补丁:
        phpBB Group
        -----------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        phpBB Group Upgrade phpBB 2.0.1
        
        http://www.phpbb.com/downloads.php

- 漏洞信息 (21486)

PHPBB2 Image Tag HTML Injection Vulnerability (EDBID:21486)
php webapps
2002-05-26 Verified
0 Martijn Boerwinkel
N/A [点击下载]
source: http://www.securityfocus.com/bid/4858/info


It is possible to inject arbitrary HTML into phpBB2 forum messages via the use of BBCode image tags. A similar issue is described in Bugtraq ID 4379 "PHPBB Image Tag User-Embedded Scripting Vulnerability". However, phpBB2 was found to not be vulnerable to this previous issue.

A double-quotation (") character may be used to close the HTML statement that is created when the BBCode is translated. The attacker may then include arbitrary HTML after the double-quotation.

The attacker may exploit this issue to inject script code into forum messages. When such messages are displayed by a web user, the attacker's script code will execute in their browser in the context of the website.

phpBB versions prior to the phpBB2 series may also be affected by this vulnerability. 

[img]http://a.a/a"onerror="javascript:alert(document.cookie)[/img] 		

- 漏洞信息

4296
phpBB Crafted IMG BBCode Tag XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

phpBB contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate BBCode [img] tags upon submission to the forum. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2002-05-26 Unknow
2002-05-26 Unknow

- 解决方案

Upgrade to version 2.0.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

PHPBB2 Image Tag HTML Injection Vulnerability
Input Validation Error 4858
Yes No
2002-05-26 12:00:00 2009-07-11 01:56:00
Discovery of this issue is credited to Martijn Boerwinkel <xim@xs4all.nl>.

- 受影响的程序版本

phpBB Group phpBB 2.0 .0
phpBB Group phpBB 2.0 RC4
- Apache Software Foundation Apache 1.3.9
- Apache Software Foundation Apache 1.3.9
phpBB Group phpBB 2.0 RC3
- Apache Software Foundation Apache 1.3.9
- Apache Software Foundation Apache 1.3.9
phpBB Group phpBB 2.0 RC2
- Apache Software Foundation Apache 1.3.9
- Apache Software Foundation Apache 1.3.9
phpBB Group phpBB 2.0 RC1
- Apache Software Foundation Apache 1.3.9
- Apache Software Foundation Apache 1.3.9
phpBB Group phpBB 2.0 Beta 1
- Apache Software Foundation Apache 1.3.9
- Apache Software Foundation Apache 1.3.9
phpBB Group phpBB 1.4.4
- Apache Software Foundation Apache 1.3.9
- Apache Software Foundation Apache 1.3.9
phpBB Group phpBB 2.0.1

- 不受影响的程序版本

phpBB Group phpBB 2.0.1

- 漏洞讨论

It is possible to inject arbitrary HTML into phpBB2 forum messages via the use of BBCode image tags. A similar issue is described in Bugtraq ID 4379 "PHPBB Image Tag User-Embedded Scripting Vulnerability". However, phpBB2 was found to not be vulnerable to this previous issue.

A double-quotation (") character may be used to close the HTML statement that is created when the BBCode is translated. The attacker may then include arbitrary HTML after the double-quotation.

The attacker may exploit this issue to inject script code into forum messages. When such messages are displayed by a web user, the attacker's script code will execute in their browser in the context of the website.

phpBB versions prior to the phpBB2 series may also be affected by this vulnerability.

- 漏洞利用

The following example was submitted:

[img]http://a.a/a"onerror="javascript:alert(document.cookie)[/img]

- 解决方案

This issue has been addressed in phpBB2 2.0.1.


phpBB Group phpBB 2.0 Beta 1

phpBB Group phpBB 2.0 RC1

phpBB Group phpBB 2.0 RC3

phpBB Group phpBB 2.0 .0

phpBB Group phpBB 2.0 RC2

phpBB Group phpBB 2.0 RC4

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站